Reorder a download's files
PUT /api/downloads/{downloadId}/assets/order. Reorder a download's files. Headless LMS Content API reference.
Requires downloads:write. Send every file id of the download exactly once (409 otherwise). Returns the download's files.
Path Parameters
downloadId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/downloads/string/assets/order" \ -H "Content-Type: application/json" \ -d '{ "assetIds": [ "string" ] }'[ { "orgId": "string", "id": "string", "downloadId": "string", "assetId": "string", "seq": -9007199254740991, "displayName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "filename": "string", "contentType": "string", "size": 0, "url": "string" }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Add a library file to a download POST
POST /api/downloads/{downloadId}/assets. Add a library file to a download. Headless LMS Content API reference.
Set a file's display name within a download PATCH
PATCH /api/downloads/{downloadId}/assets/{assetId}. Set a file's display name within a download. Headless LMS Content API reference.